<template>
    <ul class="list-group" >
        <li class="list-group-item d-flex justify-content-between align-items-center" v-for="user in users" :key="user.id">
            {{user.username}}
            <span class="badge badge-primary badge-pill">Listings: {{user.apartments_count}}</span>
        </li>
    </ul>
</template>

<script>

    export default {
        name: "AdminPage",
        data() {
            return {
                users: [],
            }
        },
        mounted() {
            this.$store.dispatch('getUsers').then(response => this.onSuccess(response)).catch(response => this.onError(response));
        },
        methods: {
            onSuccess(response) {
                this.users = response.data
            },
            onError(response) {
                console.log(response)
            }
        },
    }
</script>

<style scoped>
.list-group{
    margin-right: 250px;
    margin-left: 250px;
}
</style>
